import { computed as T, watch as le, ref as X, defineComponent as ke, provide as Ie, toRefs as xe, useSlots as Te, onMounted as Fe, openBlock as S, createElementBlock as C, Fragment as q, createElementVNode as j, normalizeClass as W, unref as e, renderSlot as R, normalizeProps as D, mergeProps as E, renderList as Q, toDisplayString as V, withModifiers as $e, createCommentVNode as Z, createTextVNode as U } from "vue";
const Re = {
  items: {
    type: Array,
    default: () => [],
    required: !0,
    description: "Array of data objects, should be a flat array."
  },
  values: {
    type: Array,
    default: () => [],
    required: !0,
    description: "Array of value objects representing the metrics"
  },
  rows: {
    type: Array,
    default: () => [],
    description: "Array of row objects representing the dimensions on rows"
  },
  column: {
    type: Object,
    default: null,
    description: "Single column object representing the dimension on columns"
  },
  locale: {
    type: String,
    default: "en-US",
    description: "Locale setting for the table."
  },
  currentPage: {
    type: Number,
    default: 1,
    description: "Current page number."
  },
  noRowsCustom: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to use custom rows when no data is available."
  },
  emptyMessage: {
    type: String,
    default: "No Available Data",
    description: "Message to display when there is no available data."
  },
  filterOptions: {
    type: Array,
    default: null,
    description: "Array of filter options for the table."
  },
  hideFooter: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to hide the table footer."
  },
  hideHeader: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to hide the table header."
  },
  loading: {
    type: Boolean,
    default: !1,
    description: "Indicates whether the table is in a loading state."
  },
  rowsPerPage: {
    type: Number,
    default: 25,
    description: "Number of rows per page."
  },
  searchField: {
    type: [String, Array],
    default: "",
    description: "Field or fields to search within."
  },
  rowsItems: {
    type: Array,
    default: () => [25, 50, 100]
  },
  rowsOfPageSeparatorMessage: {
    type: String,
    default: "of"
  },
  searchValue: {
    type: String,
    default: "",
    description: "Value to search for within the specified field(s)."
  },
  showIndex: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to display an index column."
  },
  showIndexSymbol: {
    type: String,
    default: "#",
    description: "Symbol used for the index column."
  },
  showIndexClass: {
    type: String,
    default: "",
    description: "Class used for the index column."
  },
  oddRowClass: {
    type: String,
    default: "odd-row",
    description: "CSS class applied to odd-numbered rows."
  },
  evenRowClass: {
    type: String,
    default: "even-row",
    description: "CSS class applied to even-numbered rows."
  },
  oddRowCellClass: {
    type: String,
    default: "odd-row-cell",
    description: "CSS class applied to cells in odd-numbered rows."
  },
  evenRowCellClass: {
    type: String,
    default: "even-row-cell",
    description: "CSS class applied to cells in even-numbered rows."
  },
  sortBy: {
    type: String,
    default: "",
    description: "Field or fields to sort by."
  },
  sortType: {
    type: String,
    default: "asc",
    description: "Sort type or types (ascending or descending)."
  },
  tableClassName: {
    type: String,
    default: "",
    description: "CSS class applied to the table element."
  },
  innerTableClassName: {
    type: String,
    default: "",
    description: "CSS class applied to the inner table element."
  },
  headerClassName: {
    type: String,
    default: "",
    description: "CSS class applied to the table header element."
  },
  mustSort: {
    type: Boolean,
    default: !1,
    description: "Indicates whether sorting is required."
  },
  tableNodeId: {
    type: String,
    default: "",
    description: "ID attribute for the table element."
  },
  nullFillText: {
    type: String,
    default: "-",
    description: "Text to be shown if cellvalue is null"
  }
};
function z(s, l) {
  if (s.includes(".")) {
    const p = s.split("."), { length: d } = p;
    let r, v = 0;
    for (; v < d; ) {
      if (v === 0)
        r = l[p[0]];
      else if (r && typeof r == "object")
        r = r[p[v]];
      else {
        r = "";
        break;
      }
      v += 1;
    }
    return r ?? "";
  }
  return l[s];
}
function me(s, l, p, d) {
  return s == null ? d : Array.isArray(s) ? s.join(", ") : (l.formatFunc ? s = l.formatFunc(s) : l.numberFormat && (s = new Intl.NumberFormat(p, l.numberFormat).format(s)), l.prefix && (s = l.prefix + s), l.suffix && (s = s + l.suffix), s);
}
function Ae(s, l, p, d) {
  const r = z(s.value, l);
  return me(r, s, p, d);
}
function Ne(s, l, p, d, r) {
  var x;
  let v;
  return s.columnValue ? v = (x = l.items.find((P) => P[p.value] === s.columnValue)) == null ? void 0 : x[s.value] : v = z(s.value, l.rows), me(v, s, d, r);
}
function Ve(s, l, p, d, r, v, x, P, b) {
  const G = (g) => {
    if (typeof x.value == "string" && x.value !== "")
      return z(x.value, g);
    if (Array.isArray(x.value)) {
      let o = "";
      return x.value.forEach((m) => {
        o += z(m, g);
      }), o;
    }
    return Object.values(g).join(" ");
  }, M = T(() => {
    if (r.value) {
      const g = v.value.map((m) => m.value), o = d.value.reduce((m, k) => {
        const y = g.map((a) => k[a]).join("|"), u = m.find((a) => a.key === y);
        if (u)
          u.items.push(k);
        else {
          const a = Object.fromEntries(Object.entries(k).filter(([i]) => g.includes(i)));
          m.push({ key: y, rows: a, items: [k] });
        }
        return m;
      }, []);
      if (P.value !== "") {
        const m = new RegExp(P.value, "i");
        return o.filter((k) => m.test(k.key));
      }
      return o;
    }
    if (P.value !== "") {
      const g = new RegExp(P.value, "i");
      return d.value.filter((o) => g.test(G(o)));
    }
    return d.value;
  }), A = T(() => {
    let g = [...M.value];
    return r.value ? g : p.value ? (p.value.forEach((o) => {
      g = g.filter((m) => {
        const { field: k, comparison: y, criteria: u } = o;
        if (typeof y == "function")
          return y(z(k, m), u);
        const a = z(k, m);
        if (a === null)
          return !1;
        switch (y) {
          case "=":
            return a === u;
          case "!=":
            return a !== u;
          case ">":
            return a > u;
          case "<":
            return a < u;
          case "<=":
            return a <= u;
          case ">=":
            return a >= u;
          case "between":
            return a >= Math.min(...u) && a <= Math.max(...u);
          case "in":
            return Array.isArray(u) ? u.includes(a) : !0;
          default:
            return a === u;
        }
      });
    }), g) : M.value;
  });
  le(
    A,
    (g) => {
      p.value && b("updateFilter", g);
    },
    { immediate: !0, deep: !0 }
  );
  const L = T(() => {
    var a;
    if (l.value === null)
      return A.value;
    const g = [...A.value], { sortBy: o, sortDesc: m, columnValue: k } = l.value, y = (a = s.value.find((i) => i.value === o)) == null ? void 0 : a.sortFunc;
    return g.sort((i, n) => {
      var $, K, Y, N;
      let f, w;
      return r.value ? k ? (f = y ? y(($ = i.items.find((O) => O[r.value.value] === k)) == null ? void 0 : $[o]) : (K = i.items.find((O) => O[r.value.value] === k)) == null ? void 0 : K[o], w = y ? y((Y = n.items.find((O) => O[r.value.value] === k)) == null ? void 0 : Y[o]) : (N = n.items.find((O) => O[r.value.value] === k)) == null ? void 0 : N[o]) : (f = y ? y(i.rows[o]) : i.rows[o], w = y ? y(n.rows[o]) : n.rows[o]) : (f = y ? y(z(o, i)) : z(o, i), w = y ? y(z(o, n)) : z(o, n)), f == null && w != null ? 1 : f != null && w == null ? -1 : f == null && w == null ? 0 : f < w ? m ? 1 : -1 : f > w ? m ? -1 : 1 : 0;
    });
  }), F = T(() => L.value.length);
  return {
    totalItems: L,
    totalItemsLength: F
  };
}
function Me(s, l, p, d, r, v, x, P, b, G, M) {
  const A = T(() => r.value ? [...new Set(s.value.map((u) => u[r.value.value]))] : []), F = X(((u, a) => u && u !== "" ? {
    sortBy: u,
    sortDesc: a === "desc"
  } : null)(b.value, G.value));
  let g = [];
  const o = T(() => {
    if (r.value) {
      const i = A.value.flatMap((n) => d.value.map((w) => ({
        ...w,
        columnValue: n
      })));
      g = [
        ...p.value.map((n) => ({ ...n, type: "tableRow" })),
        ...i.map((n) => ({ ...n, type: "tableValue" }))
      ];
    } else
      g = [
        ...p.value.map((i) => ({ ...i, type: "tableRow" })),
        ...d.value.map((i) => ({ ...i, type: "tableValue" }))
      ];
    const u = g.map((i) => {
      const n = Object.assign(i);
      return n.sortable && (n.sortType = "none"), F.value && n.value === F.value.sortBy && F.value.columnValue ? F.value.columnValue === n.columnValue ? n.sortType = F.value.sortDesc ? "desc" : "asc" : n.sortType = "none" : F.value && n.value === F.value.sortBy && (n.sortType = F.value.sortDesc ? "desc" : "asc"), n;
    });
    let a = [];
    return x.value ? a = [{
      text: l.value,
      value: "index",
      cssClass: P.value
    }, ...u] : a = u, a;
  }), m = T(() => {
    const u = [];
    if (r.value) {
      const a = o.value.reduce(
        (i, n) => {
          const f = n.columnValue;
          let w;
          n.columnValue ? r.value.formatFunc ? w = r.value.formatFunc(n.columnValue) : w = n.columnValue : w = null;
          const $ = i[i.length - 1];
          return $ && $.text === w && !$.isIndex && $.originalText === f ? $.count++ : i.push({
            type: "column",
            isIndex: n.value === "index",
            text: w,
            originalText: f,
            count: 1,
            cssClass: n.cssClass ?? ""
          }), i;
        },
        []
      );
      u.push(a);
    }
    if (o.value.findIndex((a) => a.parent) > -1) {
      const a = o.value.reduce(
        (i, n) => {
          var K;
          const f = ((K = n.parent) == null ? void 0 : K.text) || null, w = n.columnValue, $ = i[i.length - 1];
          return $ && $.text === f && !$.isIndex && $.columnValue === w ? $.count++ : i.push({
            type: "parent",
            isIndex: n.value === "index",
            columnValue: w,
            text: f,
            count: 1,
            cssClass: n.cssClass ?? ""
          }), i;
        },
        []
      );
      u.push(a);
    }
    return u;
  }), k = T(() => o.value.map((u) => u.value));
  return {
    columnDomain: A,
    clientSortOptions: F,
    headerColumns: k,
    headersForRenderParents: m,
    headersForRender: o,
    updateSortField: (u, a, i = !1, n = void 0) => {
      let f = null;
      i ? f = a === "none" ? null : a : a === "none" ? f = "asc" : a === "asc" ? f = "desc" : f = v.value ? "asc" : null, f === null ? F.value = null : F.value = {
        sortBy: u,
        sortDesc: f === "desc",
        columnValue: n
      }, M("updateSort", {
        columnValue: n,
        sortType: f,
        sortBy: u
      });
    }
  };
}
function Oe(s, l) {
  const p = T(() => s.value.findIndex((v) => v === l.value) === -1 ? [l.value, ...s.value] : s.value), d = X(l.value);
  return {
    rowsItemsComputed: p,
    rowsPerPageRef: d,
    updateRowsPerPage: (v) => {
      d.value = v;
    }
  };
}
function Be(s, l, p, d) {
  const r = X(s.value), v = T(() => Math.ceil(p.value / d.value)), x = T(
    () => v.value === 0 || r.value === v.value
  ), P = T(() => r.value === 1);
  return {
    currentPaginationNumber: r,
    maxPaginationNumber: v,
    isLastPage: x,
    isFirstPage: P,
    nextPage: () => {
      p.value !== 0 && (x.value || l.value || (r.value += 1));
    },
    prevPage: () => {
      p.value !== 0 && (P.value || l.value || (r.value -= 1));
    },
    updatePage: (L) => {
      l.value || (r.value = L);
    },
    updateCurrentPaginationNumber: (L) => {
      r.value = L;
    }
  };
}
function je(s, l, p, d, r) {
  const v = T(() => (s.value - 1) * l.value + 1), x = T(() => Math.min(d.value.length, s.value * l.value)), P = T(() => l.value === -1 ? d.value : d.value.slice(v.value - 1, x.value)), b = T(() => p.value ? r.value ? P.value.map((M, A) => (M.rows = { index: v.value + A, ...M.rows }, M)) : P.value.map((M, A) => ({ index: v.value + A, ...M })) : P.value), G = T(() => b.value);
  return {
    currentPageFirstIndex: v,
    currentPageLastIndex: x,
    pageItems: G
  };
}
const De = [
  { name: "scroll", description: "Triggered when scrolling" },
  { name: "clickRow", description: "Triggered when a row is clicked" },
  { name: "clickCell", description: "Triggered when a cell is clicked" },
  { name: "updateSort", description: "Triggered when sorting is updated" },
  { name: "updateFilter", description: "Triggered when filtering is updated" },
  { name: "updatePageItems", description: "Triggered when page items are updated" },
  { name: "updateTotalItems", description: "Triggered when total items are updated" },
  { name: "mouseover", description: "Triggered when mouse is over" },
  { name: "mouseleave", description: "Triggered when mouse leaves" }
], Ee = De.map((s) => s.name), Le = ["id"], _e = ["colspan"], ze = { class: "header" }, Ge = {
  key: 2,
  class: "header-text"
}, He = ["onClick"], qe = { class: "header" }, We = {
  key: 3,
  class: "header-text"
}, Ue = ["id"], Ke = ["role", "onClick", "onMouseover", "onMouseleave"], Je = { id: "errors" }, Qe = { style: { color: "red" } }, Xe = { key: 5 }, Ye = /* @__PURE__ */ ke({
  __name: "PivotDataTable",
  props: Re,
  emits: Ee,
  setup(s, { expose: l, emit: p }) {
    const d = X([]), r = X();
    Ie("dataTable", r);
    const v = s, {
      values: x,
      rows: P,
      column: b,
      locale: G,
      tableNodeId: M,
      currentPage: A,
      filterOptions: L,
      emptyMessage: F,
      noRowsCustom: g,
      items: o,
      loading: m,
      mustSort: k,
      rowsItems: y,
      rowsPerPage: u,
      searchField: a,
      searchValue: i,
      showIndex: n,
      sortBy: f,
      sortType: w,
      showIndexSymbol: $,
      showIndexClass: K,
      nullFillText: Y
    } = xe(v), N = Te(), O = p, { clientSortOptions: ye, headersForRenderParents: we, headersForRender: _, updateSortField: ee } = Me(
      o,
      $,
      P,
      x,
      b,
      k,
      n,
      K,
      f,
      w,
      O
    ), { totalItems: ce, totalItemsLength: te } = Ve(
      _,
      ye,
      L,
      o,
      b,
      P,
      a,
      i,
      O
    ), { rowsItemsComputed: he, rowsPerPageRef: se, updateRowsPerPage: be } = Oe(y, u), { currentPaginationNumber: oe, maxPaginationNumber: ue, isLastPage: pe, isFirstPage: ve, nextPage: re, prevPage: ne, updatePage: ae } = Be(A, m, te, se), { currentPageFirstIndex: ie, currentPageLastIndex: de, pageItems: fe } = je(
      oe,
      se,
      n,
      ce,
      b
    ), Se = (c, B, t, I) => {
      O("clickCell", c, B, t, I);
    };
    le(se, () => {
      ae(1);
    }), le([i, L], () => {
      ae(1);
    }), le(
      [o, b],
      () => {
        Ce();
      },
      { immediate: !0 }
    );
    const ge = X(!1);
    function Ce() {
      d.value = [], b.value && Array.isArray(b.value) ? d.value.push({
        type: "propError",
        text: "column is of type Array"
      }) : b.value && Pe() && d.value.push({
        type: "dataShapeError",
        text: "duplicate item Objects (by rows * columns) found in items"
      });
    }
    Fe(() => {
      r.value.addEventListener("scroll", () => {
        ge.value = r.value.scrollLeft > 0;
      });
    }), l({
      currentPageFirstIndex: ie,
      currentPageLastIndex: de,
      clientItemsLength: te,
      totalItems: ce,
      maxPaginationNumber: ue,
      currentPaginationNumber: oe,
      isLastPage: pe,
      isFirstPage: ve,
      nextPage: re,
      prevPage: ne,
      updatePage: ae,
      updateSortField: ee,
      rowsPerPageOptions: he,
      rowsPerPageActiveOption: se,
      updateRowsPerPageActiveOption: be
    });
    function Pe() {
      const c = [...P.value.map((t) => t.value), b.value.value], B = /* @__PURE__ */ new Set();
      for (let t = 0; t < o.value.length; t++) {
        const I = c.map((h) => o.value[t][h]).join("|");
        if (B.has(I))
          return !0;
        B.add(I);
      }
      return !1;
    }
    return (c, B) => (S(), C(q, null, [
      j("div", {
        ref_key: "dataTable",
        ref: r,
        class: W(["vue3-pivot-data-table", [c.tableClassName]]),
        onScroll: B[0] || (B[0] = (t) => c.$emit("scroll", t))
      }, [
        j("table", {
          id: e(M),
          class: W({
            [c.innerTableClassName]: !0,
            "show-shadow": ge.value
          })
        }, [
          e(N)["customize-headers"] ? R(c.$slots, "customize-headers", D(E({ key: 0 }, { headersForRender: e(_), updateSortField: e(ee) })), void 0, !0) : e(_).length && !c.hideHeader ? (S(), C("thead", {
            key: 1,
            class: W([c.headerClassName])
          }, [
            (S(!0), C(q, null, Q(e(we), (t, I) => (S(), C("tr", {
              key: "headerRowGroup" + I
            }, [
              (S(!0), C(q, null, Q(t, (h, H) => (S(), C("th", {
                key: "columnHeader" + H,
                colspan: h.count,
                class: W([
                  {
                    shadow: H === 0,
                    [h.cssClass ?? ""]: !0,
                    [h.type ?? ""]: !0
                  }
                ])
              }, [
                j("span", ze, [
                  e(N)[`header-${h.type}-${h.text}`] ? R(c.$slots, `header-${h.type}-${h.text}`, D(E({ key: 0 }, h)), void 0, !0) : e(N).header ? R(c.$slots, "header", D(E({ key: 1 }, h)), void 0, !0) : (S(), C("span", Ge, V(h.text), 1))
                ])
              ], 10, _e))), 128))
            ]))), 128)),
            j("tr", null, [
              (S(!0), C(q, null, Q(e(_), (t, I) => (S(), C("th", {
                key: I,
                role: "button",
                tabindex: 0,
                class: W([
                  {
                    sortable: t.sortable,
                    none: t.sortable && t.sortType === "none",
                    desc: t.sortable && t.sortType === "desc",
                    asc: t.sortable && t.sortType === "asc",
                    shadow: I === 0,
                    [t.cssClass ?? ""]: !0,
                    [t.type ?? ""]: !0
                  }
                ]),
                onClick: $e((h) => t.sortable && t.sortType ? e(ee)(t.value, t.sortType, !1, t.columnValue) : null, ["stop"])
              }, [
                j("span", qe, [
                  e(N)[`header-${t.value}`] ? R(c.$slots, `header-${t.value}`, D(E({ key: 0 }, t)), void 0, !0) : e(N)[`header-${t.value.toLowerCase()}`] ? R(c.$slots, `header-${t.value.toLowerCase()}`, D(E({ key: 1 }, t)), void 0, !0) : e(N).header ? R(c.$slots, "header", D(E({ key: 2 }, t)), void 0, !0) : (S(), C("span", We, V(t.text), 1)),
                  t.sortable && e(N)["sort-icon"] ? R(c.$slots, "sort-icon", D(E({ key: 4 }, t)), void 0, !0) : t.sortable ? (S(), C("i", {
                    key: t.sortType ? t.sortType : "none",
                    class: W(["sortType-icon", { desc: t.sortType === "desc" }])
                  }, null, 2)) : Z("", !0)
                ])
              ], 10, He))), 128))
            ])
          ], 2)) : Z("", !0),
          j("tbody", null, [
            (S(!0), C(q, null, Q(e(fe), (t, I) => (S(), C("tr", {
              id: `row-${I}`,
              key: I,
              class: W([{ [c.oddRowClass]: (I + 1) % 2 === 0 }, { [c.evenRowClass]: I % 2 === 0 }]),
              role: "button",
              tabindex: 0
            }, [
              (S(!0), C(q, null, Q(e(_), (h, H) => (S(), C("td", {
                key: H,
                role: e(_)[H].clickable || e(_)[H].hoverable ? "button" : "",
                tabindex: "0",
                class: W([
                  {
                    [c.oddRowCellClass]: (I + 1) % 2 === 0,
                    [c.evenRowCellClass]: I % 2 === 0,
                    shadow: H === 0,
                    [h.cssClass ?? ""]: !0,
                    [h.type ?? ""]: !0
                  }
                ]),
                onClick: (J) => Se(t, e(_)[H], I, J),
                onMouseover: (J) => O("mouseover", t, e(_)[H], J),
                onMouseleave: (J) => O("mouseleave", t, J)
              }, [
                e(N)[`item-${h.value}`] ? R(c.$slots, `item-${h.value}`, D(E({ key: 0 }, e(b) ? t.items.find((J) => J[e(b).value] === h.columnValue) : t)), void 0, !0) : e(N).item ? R(c.$slots, "item", D(E({ key: 1 }, { column: e(b), item: t })), void 0, !0) : e(b) ? (S(), C(q, { key: 2 }, [
                  U(V(e(Ne)(h, t, e(b), e(G), e(Y))), 1)
                ], 64)) : (S(), C(q, { key: 3 }, [
                  U(V(e(Ae)(h, t, e(G), e(Y))), 1)
                ], 64))
              ], 42, Ke))), 128))
            ], 10, Ue))), 128))
          ]),
          e(N)["customize-footers"] ? R(c.$slots, "customize-footers", D(E({ key: 2 }, {
            headersForRender: e(_),
            updateSortField: e(ee)
          })), void 0, !0) : Z("", !0)
        ], 10, Le)
      ], 34),
      d.value.length ? R(c.$slots, "errors", { key: 0 }, () => [
        j("div", Je, [
          j("ul", null, [
            (S(!0), C(q, null, Q(d.value, (t, I) => (S(), C("li", {
              key: "error" + I
            }, [
              j("span", Qe, V(t.type) + ":", 1),
              U(" " + V(t.text), 1)
            ]))), 128))
          ])
        ])
      ], !0) : !e(o).length && !e(m) && e(g) ? R(c.$slots, "no-rows-custom", { key: 1 }, () => [
        U(" Slot: no-rows-custom ")
      ], !0) : !e(o).length && !e(m) ? R(c.$slots, "no-rows", { key: 2 }, () => [
        U(V(e(F)), 1)
      ], !0) : !e(fe).length && !e(m) ? R(c.$slots, "empty-message", { key: 3 }, () => [
        U(V(e(F)), 1)
      ], !0) : Z("", !0),
      e(N).footer ? R(c.$slots, "footer", D(E({ key: 4 }, {
        currentPageFirstIndex: e(ie),
        currentPageLastIndex: e(de),
        rowsOfPageSeparatorMessage: c.rowsOfPageSeparatorMessage,
        totalItemsLength: e(te),
        isFirstPage: e(ve),
        isLastPage: e(pe),
        currentPaginationNumber: e(oe),
        maxPaginationNumber: e(ue),
        nextPage: e(re),
        prevPage: e(ne),
        updatePage: e(ae)
      })), void 0, !0) : c.hideFooter ? Z("", !0) : (S(), C("div", Xe, [
        U(V(`${e(ie)}–${e(de)}`) + " " + V(c.rowsOfPageSeparatorMessage) + " " + V(e(te)) + " ", 1),
        j("button", {
          onClick: B[1] || (B[1] = //@ts-ignore
          (...t) => e(ne) && e(ne)(...t))
        }, V("<")),
        U(" " + V(e(A)) + " of " + V(e(ue)) + " ", 1),
        j("button", {
          onClick: B[2] || (B[2] = //@ts-ignore
          (...t) => e(re) && e(re)(...t))
        }, ">")
      ]))
    ], 64));
  }
});
const Ze = (s, l) => {
  const p = s.__vccOpts || s;
  for (const [d, r] of l)
    p[d] = r;
  return p;
}, st = /* @__PURE__ */ Ze(Ye, [["__scopeId", "data-v-003b93e2"]]);
export {
  st as default
};
